Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\Command\CopySubtreeCommand Class Reference

Console command for deep copying subtree from one location to another. More...

Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\Command\CopySubtreeCommand:

## Public Member Functions
| __construct (LocationService $locationService, PermissionResolver $permissionResolver, UserService $userService, ContentTypeService $contentTypeService, SearchService $searchService)

## Protected Member Functions
| configure ()
| initialize (InputInterface $input, OutputInterface $output)
| execute (InputInterface $input, OutputInterface $output)
| getAllChildrenCount (Location $location)

## Private Attributes
| $locationService
| $permissionResolver
| $userService
| $contentTypeService
| $searchService

## Detailed Description

Console command for deep copying subtree from one location to another.

Definition at line 28 of file CopySubtreeCommand.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishCoreBundle\Command\CopySubtreeCommand::__construct | ( | LocationService | $locationService,
|  | PermissionResolver | $permissionResolver,
|  | UserService | $userService,
|  | ContentTypeService | $contentTypeService,
|  | SearchService | $searchService
| ) |  |

Parameters

  \eZ\Publish\API\Repository\LocationService | $locationService |
  \eZ\Publish\API\Repository\PermissionResolver | $permissionResolver |
  \eZ\Publish\API\Repository\UserService | $userService |
  \eZ\Publish\API\Repository\ContentTypeService | $contentTypeService |
  \eZ\Publish\API\Repository\SearchService | $searchService |

Definition at line 52 of file CopySubtreeCommand.php.

References eZ\Bundle\EzPublishCoreBundle\Command\CopySubtreeCommand\$contentTypeService, eZ\Bundle\EzPublishCoreBundle\Command\CopySubtreeCommand\$locationService, eZ\Bundle\EzPublishCoreBundle\Command\CopySubtreeCommand\$permissionResolver, eZ\Bundle\EzPublishCoreBundle\Command\CopySubtreeCommand\$searchService, and eZ\Bundle\EzPublishCoreBundle\Command\CopySubtreeCommand\$userService.

## Member Function Documentation

## ◆ configure()

eZ\Bundle\EzPublishCoreBundle\Command\CopySubtreeCommand::configure | ( |  | ) |
| protected

Definition at line 67 of file CopySubtreeCommand.php.

## ◆ execute()

eZ\Bundle\EzPublishCoreBundle\Command\CopySubtreeCommand::execute | ( | InputInterface | $input,
|  | OutputInterface | $output
| ) |  |
| protected

Parameters

  \Symfony\Component\Console\Input\InputInterface | $input |
  \Symfony\Component\Console\Output\OutputInterface | $output |

Returns
  int|null

Exceptions

Definition at line 116 of file CopySubtreeCommand.php.

## ◆ getAllChildrenCount()

eZ\Bundle\EzPublishCoreBundle\Command\CopySubtreeCommand::getAllChildrenCount | ( | Location | $location | ) |
| protected

Parameters

  \eZ\Publish\API\Repository\Values\Content\Location | $location |

Returns
  int

Exceptions

Definition at line 174 of file CopySubtreeCommand.php.

## ◆ initialize()

eZ\Bundle\EzPublishCoreBundle\Command\CopySubtreeCommand::initialize | ( | InputInterface | $input,
|  | OutputInterface | $output
| ) |  |
| protected

Parameters

  \Symfony\Component\Console\Input\InputInterface | $input |
  \Symfony\Component\Console\Output\OutputInterface | $output |

Exceptions

Definition at line 97 of file CopySubtreeCommand.php.

## Member Data Documentation

## ◆ $contentTypeService

eZ\Bundle\EzPublishCoreBundle\Command\CopySubtreeCommand::$contentTypeService
| private

Definition at line 40 of file CopySubtreeCommand.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Command\CopySubtreeCommand\__construct().

## ◆ $locationService

eZ\Bundle\EzPublishCoreBundle\Command\CopySubtreeCommand::$locationService
| private

Definition at line 31 of file CopySubtreeCommand.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Command\CopySubtreeCommand\__construct().

## ◆ $permissionResolver

eZ\Bundle\EzPublishCoreBundle\Command\CopySubtreeCommand::$permissionResolver
| private

Definition at line 34 of file CopySubtreeCommand.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Command\CopySubtreeCommand\__construct().

## ◆ $searchService

eZ\Bundle\EzPublishCoreBundle\Command\CopySubtreeCommand::$searchService
| private

Definition at line 43 of file CopySubtreeCommand.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Command\CopySubtreeCommand\__construct().

## ◆ $userService

eZ\Bundle\EzPublishCoreBundle\Command\CopySubtreeCommand::$userService
| private

Definition at line 37 of file CopySubtreeCommand.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Command\CopySubtreeCommand\__construct().

The documentation for this class was generated from the following file:

- CopySubtreeCommand.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.